---
title: onnotificationclose
slug: Web/API/ServiceWorkerGlobalScope/onnotificationclose
tags:
  - API
  - Experimental
  - Interface
  - Property
  - Reference
  - ServiceWorkerGlobalScope
  - onnotificationclose
---
<p>{{APIRef("Service Workers API")}}</p>

<p>The <code><strong>ServiceWorkerGlobalScope.onnotificationclose</strong></code> property is an event handler called whenever the {{Event("notificationclose")}} event is dispatched on the {{domxref("ServiceWorkerGlobalScope")}} object, that is when a user closes a displayed notification spawned by {{domxref("ServiceWorkerRegistration.showNotification()")}}.</p>

<p>Notifications created on the main thread or in workers which aren't service workers using the {{domxref("Notification.Notification","Notification()")}} constructor will instead receive a {{Event("close")}} event on the <code>Notification</code> object itself.</p>

<div class="note">
<p><strong>Note</strong>: Trying to create a notification inside the {{domxref("ServiceWorkerGlobalScope")}} using the {{domxref("Notification.Notification","Notification()")}} constructor will throw an error.</p>
</div>

<h2 id="Syntax" style="line-height: 30px; font-size: 2.14285714285714rem;">Syntax</h2>

<pre class="syntaxbox" style="font-size: 14px;">ServiceWorkerGlobalScope.onnotificationclose = function(NotificationEvent) { ... };
ServiceWorkerGlobalScope.addEventListener('notificationclose', function(NotificationEvent) { ... });</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">//Inside a service worker.
self.onnotificationclose = function(event) {
  console.log('On notification close: ', event.notification.tag);
};
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col"><font face="Open Sans, sans-serif"><span style="font-weight: normal;">Specification</span></font></th>
   <th scope="col"><font face="Open Sans, sans-serif"><span style="font-weight: normal;">Status</span></font></th>
   <th scope="col"><font face="Open Sans, sans-serif"><span style="font-weight: normal;">Comment</span></font></th>
  </tr>
  <tr>
   <td>{{SpecName('Web Notifications','#dom-serviceworkerglobalscope-onnotificationclose','onnotificationclick')}}</td>
   <td>{{Spec2('Web Notifications')}}</td>
   <td>Initial definition. This property is specified on the {{domxref('Notifications_API')}} even though it's part of {{domxref('ServiceWorkerGlobalScope')}}.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ServiceWorkerGlobalScope.onnotificationclose")}}</p>
</div>
